# artifactRegistryDescription

Description of an artifact registry.

### Examples

```graphql
type ArtifactRegistryDescription {
  type: String
  name: String
  project: String
  link: String
  hash: String
  tags: [String]
  username: String
  userType: String
  uploadTime: Float
  lastUpdate: Float
  buildTime: Float
}
```

### Fields

| Field              | Description                                               | Supported fields |
| ------------------ | --------------------------------------------------------- | ---------------- |
| type `String`      | Type of the artifact registry                             |                  |
| name `String`      | Name of the artifact registry                             |                  |
| project `String`   | Project or repository name within the registry            |                  |
| link `String`      | URL link to the artifact or registry page                 |                  |
| hash `String`      | Hash or digest of the artifact                            |                  |
| tags `[String]`    | List of tags associated with the artifact                 |                  |
| username `String`  | Username of the user who uploaded or manages the artifact |                  |
| userType `String`  | Type or role of the user                                  |                  |
| uploadTime `Float` | Timestamp (epoch) when the artifact was uploaded          |                  |
| lastUpdate `Float` | Timestamp (epoch) of the last update to the artifact      |                  |
| buildTime `Float`  | Timestamp (epoch) of the artifact's build time            |                  |

### References

#### Fields with this object:

* [{} ArtifactInfo.registryDescription](/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-registry-description.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
